Skip to main content
Get data stream config list.
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Query Parameters

next.pageToken
string

Page Token

next.orderBy
string[]

OrderBy helps in sorting the list response

next.pageNum
number<int64>

Page Number

next.pageSize
number<int64>

Defines the page size

next.totalPages
number<int64>

Total number of pages to be fetched.

namePattern
string

Name pattern of matching data stream config name.

type
enum<string>
default:UNUSED

Type of data source

Available options:
UNUSED,
APP_LOGS,
EVENTS,
METRICS

Response

A successful response.

Returned list of data stream configs matched by filter criteria

dataStreamListSummary
Summary is used to store the Summary details · object

Summary information about list records.

list
Data stream configuration details · object[]

Details of list records.

next
Cursor is used as filter in list operation. · object

Returned record page.